{{ansible_managed|comment}}

LANG=en_US.UTF-8
RAILS_ENV=production

## How many concurrent web requests are supported? Depends on memory and CPU cores.
## will be set automatically by bootstrap based on detected CPUs, or you can override
#UNICORN_WORKERS=3

## The domain name this Discourse instance will respond to
DISCOURSE_HOSTNAME="{{ discourse_service_name }}"

## Uncomment if you want the container to be started with the same
## hostname (-h option) as specified above (default "$hostname-$config")
#DOCKER_USE_HOSTNAME=true

## List of comma delimited emails that will be made admin and developer
## on initial signup example 'user1@example.com,user2@example.com'
DISCOURSE_DEVELOPER_EMAILS="{{discourse_admin_users|join(',')}}"

{% if discourse_smtp_address is defined %}
## TODO=The SMTP mail server used to validate new accounts and send notifications
# SMTP ADDRESS, username, and password are required
# WARNING the char '#' in SMTP password can cause problems!
DISCOURSE_SMTP_ADDRESS="{{discourse_smtp_address}}"
DISCOURSE_SMTP_PORT="{{discourse_smtp_port}}"
DISCOURSE_SMTP_USER_NAME="{{discourse_smtp_user_name}}"
DISCOURSE_SMTP_PASSWORD="{{discourse_smtp_password}}"
DISCOURSE_SMTP_ENABLE_START_TLS=true           # (optional, default true)
{% endif %}

{% if discourse_letsencrypt_account_email is defined %}
## If you added the Lets Encrypt template, uncomment below to get a free SSL certificate
LETSENCRYPT_ACCOUNT_EMAIL="{{discourse_letsencrypt_account_email}}"
{% endif %}

## configure connectivity to the databases
DISCOURSE_DB_SOCKET=''
DISCOURSE_DB_USERNAME=discourse
DISCOURSE_DB_PASSWORD="{{discourse_postgres_password}}"
DISCOURSE_DB_HOST=postgres
DISCOURSE_REDIS_HOST=redis

## The CDN address for this Discourse instance (configured to pull)
#DISCOURSE_CDN_URL=//discourse-cdn.example.com

## Admin API rate limits
DISCOURSE_MAX_ADMIN_API_REQS_PER_KEY_PER_MINUTE =10000
DISCOURSE_MAX_REQS_PER_IP_MODE=warn
